- Qt 5.15
- Qt GUI
- C++ Classes
- QDrag
- Qt 5.15.15 Reference Documentation

# Obsolete Members for QDrag

The following members of class QDrag are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` Qt::DropAction | start(Qt::DropActions request = Qt::CopyAction)

## Member Function Documentation

### Qt::DropAction QDrag::start(Qt::DropActions request = Qt::CopyAction)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Note: It is recommended to use exec() instead of this function.

Starts the drag and drop operation and returns a value indicating the requested drop action when it is completed. The drop actions that the user can choose from are specified in request. Qt::CopyAction is always allowed.

Note: Although the drag and drop operation can take some time, this function does not block the event loop. Other events are still delivered to the application while the operation is performed.

See also exec().